# Function getTransactionStatus

- getTransactionStatus(rpcUrl, whm): Promise<TransactionStatus | null>

- Gets the status for a transaction given WormholeMessageId or `null` if the VAA is not available yet.

  #### Parameters

  - ##### rpcUrl: string

    the url of the wormholescan API

  - ##### whm: WormholeMessageId

    the WormholeMessageId

  #### Returns Promise<TransactionStatus | null>

  a TransactionStatus or `null` if it's not available yet

  #### Throws

  Errors if the service throws an unrecoverable error (e.g. 500)

  - Defined in connect/src/whscan-api.ts:195

Generated using TypeDoc